Bug 694332 - [abrt] man-db-2.5.7-7.fc14: main: Process /usr/bin/man was killed by signal 11 (SIGSEGV)
[abrt] man-db-2.5.7-7.fc14: main: Process /usr/bin/man was killed by signal 1...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
abrt_hash:0e8de0fdf8e882e9e4edb35ae2c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-06 21:26 EDT by Adam Goode
Modified: 2011-04-21 07:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-21 07:20:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.12 KB, text/plain)
2011-04-06 21:26 EDT, Adam Goode
no flags Details

  None (edit)
Description Adam Goode 2011-04-06 21:26:12 EDT
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 5244 bytes
cmdline: man lround
component: man-db
Attached file: coredump, 1376256 bytes
crash_function: main
executable: /usr/bin/man
kernel: 2.6.35.11-83.fc14.x86_64
package: man-db-2.5.7-7.fc14
rating: 4
reason: Process /usr/bin/man was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
How to reproduce: 1. Close the window.
time: 1302135671
uid: 500
Comment 1 Adam Goode 2011-04-06 21:26:14 EDT
Created attachment 490452 [details]
File: backtrace
Comment 2 Colin Watson 2011-04-07 09:33:48 EDT
Thanks for your report!  I've fixed this for man-db 2.6.0:

Thu Apr  7 12:46:34 BST 2011  Colin Watson  <cjwatson@debian.org>

        * lib/cleanup.c (do_cleanups): Set tos and nslots to 0 before
          freeing stack, in case do_cleanups_sigsafe is called again from a
          signal handler (Fedora bug #694332).
        * NEWS: Document this.

http://bazaar.launchpad.net/~cjwatson/man-db/trunk/revision/1338
Comment 3 Ivana Varekova 2011-04-21 07:20:06 EDT
Thanks, now the rawhide version (man-db-2.6.0.2-1) fixes this problem.

Note You need to log in before you can comment on or make changes to this bug.